<?php

session_start();

    if(!isset($_SESSION["username"])) {                       // This variable is set to zero for the first page
        header("Location: index.php");
    }

    extract($_POST);
    extract($_GET);

    include("header.php");
    require("connection_manager.php");
    $conn = new connection_manager();
    $dbConn = $conn->connection;

?>

<link type="text/css" rel="stylesheet" href="css/access-level-control.css">

<?php
	$sqlGetMasterPermission = "SELECT * FROM access_permission WHERE access_level = 'MasterPermission' ORDER BY module ASC";

	$resultGetMasterPermission = mysql_query($sqlGetMasterPermission);

	$masterPermissionArr = array();	

	if (mysql_num_rows($resultGetMasterPermission) > 0) {
		while ($rowGetMasterPermission = mysql_fetch_assoc($resultGetMasterPermission)) {
			$masterPermissionArr[$rowGetMasterPermission['access_level']][$rowGetMasterPermission['module']][] = $rowGetMasterPermission['permission'];						
		}				
	}

?>

<?php

	$sqlGetAccessLevel = "SELECT * FROM access_level ORDER BY accesslevel ASC";

	$resultGetAccessLevel = mysql_query($sqlGetAccessLevel);

	$accessLevelArr = array();

	if (mysql_num_rows($resultGetAccessLevel) > 0) {
		while ($rowGetAccessLevel = mysql_fetch_assoc($resultGetAccessLevel)) {
			$accessLevelArr[] = $rowGetAccessLevel['accesslevel'];
		}
	}

?>

<div class="d-flex justify-content-between mt-3 me-3">
	<button class="btn content-btn ms-3" id="switchTableView">Change View</button>
	<div class="btn-group">
		<button class="btn content-btn" data-bs-toggle="modal" data-bs-target="#addPermissionModal">Add Permission</button>
	</div>
</div>

<!-- add permission modal -->
<form action="includes/add-permission-access-control-level.inc.php" method="post">
	<div class="modal fade" id="addPermissionModal" data-bs-backdrop="static" data-bs-keyboard="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h1 class="modal-title fs-5">
						Module and Permission
					</h1>
					<div class="btn-close" data-bs-dismiss="modal" aria-label="close"></div>
				</div>
				<div class="modal-body">
					<div class="mb-4">                                        
						<input type="text" class="form-control" name="module" placeholder="Module" required>						
					</div>
					<div class="mb-4">
						<input type="text" class="form-control" name="permission" placeholder="Permission" required>
					</div>
				</div>                               
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
					<button type="submit" name="submit" id="submitDeleteVideo" class="btn modal-button">Add New</button>
				</div>
			</div>
		</div>
	</div>
</form>
<!-- add permission modal end -->

<?php
	if (isset($_GET['status'])) {
		$status = $_GET['status'];

		if ($status === 'updateSuccess') {
			?>
				<div class="d-flex justify-content-center mt-4 alert-pop-up-animation-fade-out t" role="alert">
					<div class="alert alert-success w-50 text-center">
						Updated Successfully!
					</div>
				</div>
			<?php
		} else if ($status === 'addedSuccess') {
			?>
				<div class="d-flex justify-content-center mt-4 alert-pop-up-animation-fade-out t" role="alert">
					<div class="alert alert-success w-50 text-center">
						Added Successfully!
					</div>
				</div>
			<?php
		} else if ($status === 'permissionExists') {
			?>
				<div class="d-flex justify-content-center mt-4 alert-pop-up-animation-fade-out t" role="alert">
					<div class="alert alert-danger w-50 text-center">
						Permission Exists, Please Check The Database
					</div>
				</div>
			<?php
		}
	}
?>

<!-- This is the all access level table view -->
<div class="container-fluid mt-4" id="accessLevelControl1">
    <div class="card shadow justify-content-center m-auto mt-2">
		<div class="table-responsive">
			<form action="includes/access-level-control-table.inc.php" method="post">
				<div class="d-flex justify-content-end m-2">
					<button type="submit" name="submit" class="btn content-btn">Save Changes</button>
				</div>
				<table class="table align-items-center custom-stripe">
					<thead class="thead-light">
						<tr>
							<th scope="col col-2">Permissions</th>
							<?php
								foreach ($accessLevelArr as $accessLevel) {
									echo '<th scope="col col-2">' . $accessLevel . '</th>';
									echo '<input type="hidden" name="access_level[]" value="'.$accessLevel.'">';
								}
							?>
						</tr>
					</thead>
					<tbody>
						<?php
							$sqlGetMasterPermission = "SELECT * FROM access_permission WHERE access_level = 'MasterPermission' ORDER BY module ASC";

							$resultGetMasterPermission = mysql_query($sqlGetMasterPermission);

							$permissionArr = array();

							if (mysql_num_rows($resultGetMasterPermission) > 0) {
								while ($rowGetPermission = mysql_fetch_assoc($resultGetMasterPermission)) {
									// Check if the row has the 'module' key
									if (isset($rowGetPermission['module'])) {
										$module = $rowGetPermission['module'];
									} else {
										continue; // Skip this iteration if 'module' is missing
									}

									$permission = $rowGetPermission['permission'];

									// Check if the module already exists in the array
									$moduleIndex = -1;
									foreach ($permissionArr as $index => $item) {
										if ($item['module'] === $module) {
											$moduleIndex = $index;
											break;
										}
									}

									// If module doesn't exist, add it to the array
									if ($moduleIndex === -1) {
										$permissionArr[] = array('module' => $module, 'permission' => []);
										$moduleIndex = count($permissionArr) - 1;
									}

									// If the permission is not empty, add it to the module's permissions array
									if (!empty($permission)) {
										$permissionArr[$moduleIndex]['permission'][] = $permission;
									}
								}
							}
						?>
						<?php
							$sqlgetExistPermission = "SELECT * FROM access_permission WHERE access_level != 'MasterPermission' ORDER BY module ASC, access_level ASC";

							$resultgetExistPermission = mysql_query($sqlgetExistPermission);

							$existPermissionArr = array();

							if (mysql_num_rows($resultgetExistPermission) > 0) {
								while ($rowGetExistPermission = mysql_fetch_assoc($resultgetExistPermission)) {
									$existPermissionArr[] = $rowGetExistPermission;														
								}
							}

							foreach ($permissionArr as $moduleData) {
								echo '<tr>';
								echo '<th scope="row">' . $moduleData['module'] . '</th>';
								echo '<input type="hidden" name="module['.$accessLevel.'][]" value="'.$moduleData['module'].'">';
								
								// Loop through the $accessLevelArr to generate the empty td
								foreach ($accessLevelArr as $accessLevel) {
									echo '<td></td>';																
								}
								echo '</tr>';
							
								foreach ($moduleData['permission'] as $permission) {
									echo '<tr>';
									echo '<td class="ps-4">' . $permission . '</td>';
							
									// Loop through the $existPermissionArr to match the access_level, module and permission
									foreach ($accessLevelArr as $accessLevel) {													
										$moduleFound = false;
										$permissionFound = false;
							
										foreach ($existPermissionArr as $existPermission) {
											if ($existPermission['module'] === $moduleData['module'] && $existPermission['access_level'] === $accessLevel 
												&& $existPermission['permission'] === $permission) {												
													$moduleFound = true;											
													$permissionFound = true;
													break;											
											}
										}
							
										$checked = ($moduleFound && $permissionFound) ? 'checked' : '';
										echo '<td>
											<input class="form-check-input" type="checkbox" name="permissions[' . $accessLevel . '][' . $moduleData['module'] . '][]" value="' . $permission . '" id="' . $permission . '" ' . $checked . ' />
										</td>';
									}
							
									echo '</tr>';
								}
							}
						?>
					</tbody>
				</table>
			</form>
		</div>
	</div>
</div>



<div class="container-fluid mt-4 mb-4" id="accessLevelControl2">
	<div class="row">
	<?php 
			$getAccessLevel = "SELECT * FROM access_level ORDER BY accesslevel ASC";

			$resultGetAccessLevel = mysql_query($getAccessLevel);

			$accessLevelArr = array();

			if (mysql_num_rows($resultGetAccessLevel) > 0) {
				while ($rowGetAccessLevel = mysql_fetch_assoc($resultGetAccessLevel)) {
					$accessLevelArr[] = $rowGetAccessLevel['accesslevel'];
				}
			}

			foreach ($accessLevelArr as $accessLevel) { 
				?>
					<div class="col-6">
						<form action="includes/access-level-control.inc.php" method="post">	
							<div class="card shadow justify-content-center m-auto">
								<div class="d-flex card-header border-0 justify-content-between">
									<h3><?php echo $accessLevel; ?></h3>
									<input type="hidden" name="access_level" value="<?php echo $accessLevel; ?>">
									<div class="btn-group">										
										<button type="submit" name="submit" class="btn content-btn">
											Save Changes
										</button>
									</div>
								</div>
								<div class="table-responsive">
									<table class="table align-items-center table-flush">
										<thead class="thead-light">
											<tr>
												<th scope="col col-3">Modules</th>
												<th scope="col col-9">Permissions</th>
											</tr>
										</thead>
										<tbody>											
											<?php 
												$processedCategories = array();		
												$processedExistCategories = array();
												
												$sqlExistPermission = "SELECT * FROM access_permission WHERE access_level != 'MasterPermission' ORDER BY module ASC, access_level ASC";

												$resultExistPermission = mysql_query($sqlExistPermission);
										
												$existPermissions = array();
												
												if ($resultExistPermission && mysql_num_rows($resultExistPermission) > 0) {
													while ($rowExistPermission = mysql_fetch_assoc($resultExistPermission)) {
														$existPermissions[] = $rowExistPermission;
													}
												}

												foreach ($masterPermissionArr as $masterAccessLevel => $categories) { 
													foreach ($categories as $module => $permissions) {
														// if (!in_array($module, $processedCategories)) {
															?>
																<tr>
																	<th scope="row">
																		<?php echo $module; ?>
																	</th>
																	<input type="hidden" name="module[<?php echo $accessLevel; ?>][]" value="<?php echo $module; ?>">
																	<td>
																		<div class="btn-group">
																			<?php																			
																				foreach ($permissions as $permission) {
																					$moduleFound = false;
																					$permissionFound = false;
																				
																					// Loop through the existPermissions to find a matching module and access level
																					foreach ($existPermissions as $existPermission) {	
																																										
																						if ($existPermission['permission'] === $permission && $existPermission['module'] === $module && $existPermission['access_level'] === $accessLevel) {
																							$moduleFound = true;
																							$permissionFound = true;
																							break;																			
																						}
																						
																					}
																					$checked = ($moduleFound && $permissionFound) ? 'checked' : '';
																					
																				
																					echo '<div class="form-check">
																							<input class="form-check-input" type="checkbox" name="permissions[' . $accessLevel . '][' . $module . '][]" value="' . $permission . '" id="' . $permission . '" '. $checked .'/>
																							<label class="form-check-label me-2" for="' . $permission . '">' . $permission . '</label>
																						</div>';
																				}
																				
																				
																			?>
																		</div>
																	</td>
																</tr>
															<?php 
															// $processedCategories[] = $module;
														//}
													}
												} 
											?>
										</tbody>
									</table>
								</div>
							</div>
						</form>
					</div>			
				<?php 
			} 
		?>
	</div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>
<script src="js/access-level-control.js"></script>