<?php
	// if(!isset($_SESSION["username"])) {                       // This variable is set to zero for the first page
	// header("Location: index.php");
	// }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title><?=$_SESSION["company"];?><?php if (isset($page_title)) echo ' | ' . $page_title; ?></title>	

<?php //echo link_tag(asset_url() . 'images/favicon.ico', 'shortcut icon', 'image/ico'); ?>

	
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet"
		integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">  <!-- import by ck -->
	<link type="text/css" rel="stylesheet" href="css/style.css">
	<link type="text/css" rel="stylesheet" href="css/tables.css">
	<link type="text/css" rel="stylesheet" href="css/custom.css">
	<link type="text/css" rel="stylesheet" href="css/menu.css">
	<link type="text/css" rel="stylesheet" href="css/jquery.datepick.css">
	<link type="text/css" rel="stylesheet" href="css/thickbox.css">
	<link type="text/css" rel="stylesheet" href="css/sitestyles.css">
	<link href="calendar.css" rel="stylesheet" type="text/css" />
		
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css"> <!-- import by ck -->


	<?php
		/* Dynamically adding css files from controllers */
		if (isset($add_css))
		{
			foreach ($add_css as $id => $row)
			{
				echo "<link type=\"text/css\" rel=\"stylesheet\" href=\"" . asset_url() . $row ."\">";
			}
		}
	?>
		
	<script type="text/javascript" src="js/jquery.datepick.js"></script>
	<script type="text/javascript" src="js/custom.js"></script>
	<script type="text/javascript" src="js/hoverIntent.js"></script>
	<script type="text/javascript" src="js/superfish.js"></script>
	<script type="text/javascript" src="js/supersubs.js"></script>
	<script type="text/javascript" src="js/thickbox-compressed.js"></script>
	<script type="text/javascript" src="js/ezpz_tooltip.min.js"></script>
	<script type="text/javascript" src="js/shortcutslibrary.js"></script>
	<script type="text/javascript" src="js/shortcuts.js"></script>
	<script language="javascript" src="calendar.js"></script>
	<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script> <!-- import by ck -->

	<?php
		/* Dynamically adding javascript files from controllers */
		if (isset($add_javascript))
		{
			foreach ($add_javascript as $id => $row)
			{
				echo "<script type=\"text/javascript\" src=\"" . asset_url() . $row ."\"></script>";
			}
		}
	?>

	<link rel="icon" style="height:5px;" type="image/x-icon" href="images/MetrioGroupFavicon.png"/>

	<!--<link rel="stylesheet" type="text/css" href="css/jquery.autocomplete.css" />
	<script type="text/javascript" src="js/jquery.js"></script>
	<script type="text/javascript" src="js/jquery.autocomplete.js"></script>-->
	<style type="text/css">
	table {
		float: left;
		clear: left;	
	}
	table tr, td, th{
		font-size: 13px;	
	}
	.table2 td
	{
		font-size: 15px;
	}

	</style>
	<!--
	<script>
	var $headers = $('.header').click(function () {
		$(this).find('span').text(function (_, value) {
			return value == '-' ? '+' : '-'
		});
		$(this).nextUntil('tr.header').slideToggle(100, function () {});
	});
	</script>
	-->
</head>
<body>
	<div id="container">
		<div id="header" class="d-flex justify-content-between align-items-center header-background">
			<div id="logo" class="ms-4">
				<img style="height:26px;" src="images/metrio logo.png" />
				<a href="welcome.php" class="anchor-link-b ms-2">
					<b style="color:white;" class="fs-4 mt-2">METRIO TMS 
						<!-- <span class="fs-10" style="border: 4px solid black; background-color: red; padding-left:15rem; padding-right:15rem;">[DEMO]</span> -->
					</b>
				</a>
			</div>
			<div id="logo2">
				<img src="images/user.png" style="width:40px;height:35px;  float: left;
					margin-right: 10px;clear:both;"/>
				<span>
					<a href="index.php" class="anchor-link-b">Welcome, <?=$_SESSION["username"];?></a> (<a href="index.php?logout=yes" title="Entries"><b>Logout</b></a>)<br>Date: <?=date("d-m-Y,D");?>
				</span>
			</div>				 
		</div>
		<nav class="navbar navbar-expand-lg navbar-background">
			<div class="container-fluid">
				<button class="navbar-toggler m-2" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" 
					aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarNav">
					<ul class="sf-menu navbar-nav">
						<li class="nav-item">
							<a class="nav-link" href="search-amend-att-summary-cloudTMS-tms.php?laid=<?=$laid;?>&type=subconksk" title="Entries"><b>Subcon As KSK (KSK)</b></a>		
						</li>
						 <li class="nav-item">
							<a class="nav-link" href="search-amend-att-summary-cloudTMSc.php?laid=<?=$laid;?>&type=backcharge" title="Entries"><b>Daily Labour Force Report</b></a>		
						</li>
						 <li class="nav-item">
							<a class="nav-link" href="search-amend-att-summary-cloudTMSb-all-subcon.php?laid=<?=$laid;?>&type=backcharge" title="Entries"><b>Backcharge Summary</b></a>		
						</li>
						 <li class="nav-item">
							<a class="nav-link" href="spwt.php" title="Entries"><b>Work Category Expenses</b></a>		
						</li>
						<li class="nav-item">
							<a class="nav-link" href="search-amend-att-summary-cloudTMSb-nonbudget.php?laid=<?=$laid;?>&type=backcharge" title="Entries"><b>Non Budget Purchase Order</b></a>		
						</li>
					</ul>
				</div>
			</div>
		</nav>

		<script>
			// Add event listeners to enable auto dropdown on hover for desktop and on click for mobile devices
			var dropdowns = document.querySelectorAll('.dropdown');
			dropdowns.forEach(function (dropdown) {
			dropdown.addEventListener('mouseenter', function () {
				if (window.innerWidth > 768) {
				this.classList.add('show');
				this.querySelector('.dropdown-menu').style.display = 'block'; // Set display to block
				}
			});
			dropdown.addEventListener('mouseleave', function () {
				if (window.innerWidth > 768) {
				this.classList.remove('show');
				this.querySelector('.dropdown-menu').style.display = 'none'; // Set display to none
				}
			});
			dropdown.addEventListener('click', function () {
				if (window.innerWidth <= 768) {
				this.classList.toggle('show');
				var dropdownMenu = this.querySelector('.dropdown-menu');
				dropdownMenu.style.display = dropdownMenu.style.display === 'block' ? 'none' : 'block'; // Toggle display
				}
			});
			});
			// Close dropdown on click outside the menu
			document.addEventListener('click', function (event) {
			var isClickInside = document.querySelector('.navbar-collapse').contains(event.target);
			if (!isClickInside) {
				dropdowns.forEach(function (dropdown) {
				dropdown.classList.remove('show');
				dropdown.querySelector('.dropdown-menu').style.display = 'none'; // Set display to none
				});
			}
			});
		</script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0/js/bootstrap.bundle.min.js"></script>