<?php
    
    session_start();
    if(!isset($_SESSION["username"])) {                       // This variable is set to zero for the first page
        header("Location: index.php");
    }

    extract($_POST);
    extract($_GET);
    include("header.php");
    include("Numbers/Words.php");
    require_once('classes/tc_calendar.php');
    require("connection_manager.php");
    $conn = new connection_manager();
    $conn = $conn->connection;
    $module = 'Work Order Report';
    $accessLevel = $_SESSION['accesslevel'];
    date_default_timezone_set('Asia/Kuala_Lumpur');
    // Define the function to check permission
    function get_permission_list($accessLevel, $module, $accessPermissionArr) {
        $sqlGetAccessPermission = "SELECT * from access_permission WHERE access_level = '$accessLevel' AND module = '$module'";
        $resultGetAccessPermission = mysql_query($sqlGetAccessPermission);
        while ($rowGetAccessPermission = mysql_fetch_assoc($resultGetAccessPermission)) {
            $accessPermissionArr[] = $rowGetAccessPermission['permission'];
        }
        
        return $accessPermissionArr;
    }
    
    $accessPermissionArr = array();
    $accessPermissionArr = get_permission_list($accessLevel, $module, $accessPermissionArr);
    

?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title><?php echo $_SESSION["company"]; ?></title>
        <link rel="stylesheet" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap5.min.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11.0.18/dist/sweetalert2.min.css">

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

        <!-- Include SweetAlert CSS -->
        <!-- Include SweetAlert JS -->
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.0.18/dist/sweetalert2.all.min.js"></script>

        <!-- view working -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    </head>
    <body>
        <form method="get" action="print-work-order-report.php" target="_blank" onsubmit="return openNewTab(this)">
            <div class="container-fluid p-0 col-md-6">
                <div class="wrapper">
                    <br><br>
                    <div class="container shadow p-3">
                        <div class="container">
                            <h1 class="mb-4">Work Order Report</h1>
                            <?php
                                   
                                if (in_array('Access All Projects',$accessPermissionArr)) {
                                    $sql_project = "SELECT DISTINCT code FROM dept WHERE sitetype IS NULL ORDER BY code ASC";
                                    $result_project = mysql_query($sql_project);
                                    $projects = array();
                                    if (mysql_num_rows($result_project) > 0) {
                                        while ($row_project = mysql_fetch_assoc($result_project)) {
                                            $projects[] = array(
                                                'project' => $row_project['code'],
                                            );
                                        }
                                    }

                                } else {
                                    
                                    $sql_project = "SELECT DISTINCT * FROM sitelist WHERE incharge = '" . $_SESSION["username"] . "' GROUP BY name ASC";
                                    $result_project = mysql_query($sql_project);
                                    $projects = array();
                                    if (mysql_num_rows($result_project) > 0) {
                                        while ($row_project = mysql_fetch_assoc($result_project)) {
                                            $projects[] = array(
                                                'project' => $row_project['name'],
                                            );
                                        }
                                    }
                                            
                                }
                            ?>   

                            <div class="row">
                                <!-- Project Dropdown -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <h6 for="subcon">Project:</h6>
                                        <select class="form-select" id="project" name="project" style="text-align: left;">
                                            <?php
                                                foreach ($projects as $project) {
                                                    $projectName = $project['project'];
                                                    echo '<option value="' . $projectName . '">' . $projectName . '</option>';
                                                }
                                            ?>
                                        </select>
                                    </div>
                                </div>

                                <!-- "from_date" Date Input -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <h6 for="subcon">From:</h6>
                                        <input type="date" class="form-control" id="from" name="fromdate">
                                    </div>
                                </div>

                                <!-- "To" Date Input -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <h6 for="to_date">To:</h6>
                                        <input type="date" class="form-control" id="todate" name="todate">
                                    </div>
                                </div>
                            </div>
                            <br>
                            <!-- Print Button -->
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary" name="send">Print</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <br>                        
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap5.min.js"></script>

<script>
    // JavaScript function to open the form in a new tab
    function openNewTab(form) {
        // Get the form values
        var site = form.project.value;
        var fromdate = form.fromdate.value;
        var todate = form.todate.value;

        // Modify the action URL to include query parameters
        form.action = "print-work-order-report.php?site=" + site + "&fromdate=" + fromdate + "&todate=" + todate;

        // Continue with form submission
        return true;
    }
</script>








